#!/bin/bash

GENCONF=/etc/dahdi/genconf_parameters
MODULES=/etc/dahdi/modules

[ ! -f $GENCONF ] && echo -n > $GENCONF
[ ! -f $MODULES ] && echo -n > $MODULES

sed -i '/fx[os]_default_start/ s/^#//' $GENCONF 2>/dev/null
sed -i '/quasar/ s/^#//' $MODULES 2>/dev/null
sed -i '/dahdi_tdmox/ s/^#//' $MODULES 2>/dev/null

grep -q '^fxs_default_start' $GENCONF || echo 'fxs_default_start ls' >>$GENCONF
grep -q '^fxo_default_start' $GENCONF || echo 'fxo_default_start ls' >>$GENCONF

grep -q '^quasar' $MODULES || echo 'quasar' >>$MODULES
grep -q '^dahdi_tdmox' $MODULES || echo 'dahdi_tdmox' >>$MODULES
